List invoices
Invoices with client, status, total, balance and due date.
GET https://cotlet.dev/api/v1/jobber/invoices
read
Lists invoices newest first. Status is one of draft, awaiting_payment, past_due, paid, bad_debt or void, the statuses Jobber shows. Use past_due with due_before to build a list to chase. Pages hold up to 50 invoices.
Parameters
| Name | Type | Description |
|---|---|---|
| status enum | enum | draft, awaiting_payment, past_due, paid, bad_debt or void. Default: all. |
| client_id string | string | Only invoices for this client. |
| due_before date | date | Only invoices due before this date. |
| limit integer | integer | 1 to 50. Default: 20. |
| cursor string | string | Next page cursor from the previous call. |
Request
curl https://cotlet.dev/api/v1/jobber/invoices \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("jobber", "list_invoices") const result = await cotlet.call('jobber', 'list_invoices'); cotlet call jobber list_invoices Example response
{
"invoices": [
{
"invoice_id": "inv_20418",
"number": 1042,
"client": "Maria Santos",
"status": "past_due",
"total": 480,
"balance": 480,
"currency": "USD",
"due_date": "2026-09-28"
}
],
"next_cursor": null
}